Bug 191592 - [PATCH] Update net-p2p/transmission* to 2.84
Summary: [PATCH] Update net-p2p/transmission* to 2.84
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Chris Rees
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-07-03 22:22 UTC by Andrew Berg
Modified: 2014-07-21 15:02 UTC (History)
1 user (show)

See Also:


Attachments
Basic version bump to 2.84 (1.66 KB, patch)
2014-07-03 22:22 UTC, Andrew Berg
no flags Details | Diff
Version bump and removal of conflicting local patches (2.35 KB, patch)
2014-07-20 06:29 UTC, Andrew Berg
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Berg 2014-07-03 22:22:23 UTC
Created attachment 144383 [details]
Basic version bump to 2.84

I've made a basic patch to update transmission from 2.82 to 2.84, but one of the patches for transmission-daemon doesn't apply cleanly, and I'm not sure what the best way to fix it is.

There's a patch to add these to qt/favicon.cc:
#if QT_VERSION >= 0x050000
 #include <QStandardPaths>
#else
#include <QDesktopServices>
#endif

...

 Favicons :: getCacheDir( )
 {
#if QT_VERSION >= 0x050000
     const QString base = QStandardPaths::writableLocation (QStandardPaths::CacheLocation);
#else
    const QString base = QDesktopServices::storageLocation( QDesktopServices::CacheLocation );
#endif
     return QDir( base ).absoluteFilePath( "favicons" );
 }


However, upstream has these now:
#if QT_VERSION < QT_VERSION_CHECK(5, 0, 0)
 #include <QDesktopServices>
#else
 #include <QStandardPaths>
#endif

...

Favicons :: getCacheDir ()
{
  const QString base =
#if QT_VERSION < QT_VERSION_CHECK(5, 0, 0)
    QDesktopServices::storageLocation (QDesktopServices::CacheLocation);
#else
    QStandardPaths::writableLocation (QStandardPaths::CacheLocation);
#endif

  return QDir(base).absoluteFilePath ("favicons");
}
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2014-07-04 00:49:31 UTC
Over to maintainer.
Comment 2 Chris Rees freebsd_committer 2014-07-04 15:30:37 UTC
Thanks, I shall look when I get a chance.
Comment 3 Andrew Berg 2014-07-20 06:29:20 UTC
Created attachment 144808 [details]
Version bump and removal of conflicting local patches

Whatever compilation issues these 3 local patches fixed seem to be resolved upstream.
Comment 4 Andrew Berg 2014-07-20 06:44:14 UTC
The diff didn't come out quite the way I wanted. To be clear:

files/patch-qt_favicon_cc
files/patch-qt_file-tree_cc
files/patch-qt_torrent-filter_cc

are to be removed from transmission-cli in addition to the content changes.
Comment 5 Chris Rees freebsd_committer 2014-07-21 15:02:59 UTC
Committed, thanks.

Bear in mind that all of the slaves should be tested too-- I had to fix transmission-qt4 (always a PITA that one!).